List Developer Campaign Sender Channels
/api/v1/developer/campaigns/sender-channelsUse the access scope below. The generated schemas specify the exact request and responses.
Access scopecampaigns.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
limitoptional · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursoroptional · querystringminLength: 1 · maxLength: 4096JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 4096 }
Request examples
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/campaigns/sender-channels?limit=50' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Eligible Campaign sender channel selection catalog
application/jsonobject
channelsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectchannelIdrequired- stringminLength: 1 · maxLength: 160
displayNamerequired- stringminLength: 1 · maxLength: 160
providerTyperequired- stringenum: ["telegram","vk"]
readyrequired- boolean
JSON Schema
{ "type": "object", "properties": { "channelId": { "type": "string", "minLength": 1, "maxLength": 160 }, "displayName": { "type": "string", "minLength": 1, "maxLength": 160 }, "providerType": { "type": "string", "enum": [ "telegram", "vk" ] }, "ready": { "type": "boolean" } }, "required": [ "channelId", "displayName", "providerType", "ready" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "channelId": { "type": "string", "minLength": 1, "maxLength": 160 }, "displayName": { "type": "string", "minLength": 1, "maxLength": 160 }, "providerType": { "type": "string", "enum": [ "telegram", "vk" ] }, "ready": { "type": "boolean" } }, "required": [ "channelId", "displayName", "providerType", "ready" ], "additionalProperties": false }, "maxItems": 100 } nextCursor- string | null
JSON Schema
{
"type": "object",
"properties": {
"channels": {
"type": "array",
"items": {
"type": "object",
"properties": {
"channelId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"displayName": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"providerType": {
"type": "string",
"enum": [
"telegram",
"vk"
]
},
"ready": {
"type": "boolean"
}
},
"required": [
"channelId",
"displayName",
"providerType",
"ready"
],
"additionalProperties": false
},
"maxItems": 100
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"channels"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCampaignSenderChannelsResponse"
}400 Invalid Campaign sender-channel page
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Campaign directory unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}